---
## workaround for bug https://github.com/ansible/ansible/issues/32384

- name: "[check for OSX type systems]"
  set_fact:
    install_become: false
    __install_user__: "{{ ansible_env.USER }}"
  when: ansible_distribution == 'MacOSX'

- name: "installing packages: {{ __install_package_list_main__ | flatten(levels=1) | pretty_print_packages }}"
  install:
    packages:
      - "{{ item }}"
  loop: "{{ __install_package_list_main__ | flatten(levels=1) }}"
  ignore_errors: True
  become: "{{ install_become | default(omit) }}"
  become_user: "{{ __install_user__ | default(omit) }}"
